/* contact-form.css */
form#contactForm {
  max-width: 600px;
  margin: auto;
  font-family: sans-serif;
}

form#contactForm label {
  display: block;
  margin-top: 1.2em;
  font-weight: bold;
  font-size: 14px;
}

form#contactForm input,
form#contactForm textarea {
  width: 100%;
  padding: 0.8em;
  font-size: 0.9em;
  margin-top: 0.2em;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #fff;
}

form#contactForm textarea {
  height: 120px;
  resize: vertical;
}

form#contactForm input[type="checkbox"] {
  width: auto;
  margin-right: 0.5em;
}

form#contactForm button {
  margin-top: 1.5em;
  padding: 0.8em 3em;
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 600;
}

form#contactForm button:hover {
  background-color: #555;
}

#formError {
  color: red;
  margin-top: 1em;
}

form#contactForm button .material-icons-round {
  font-size: 19px;
  vertical-align: bottom;
  margin-right: 5px;
}


form#contactForm .req {
  background-color: #ff0062;
  display: inline-block;
  border-radius: 3px;
  padding: 3px 4px 2px 4px;
  color: #fff;
  font-size: 11px;
  margin-left: 5px;
  font-weight: bold;
}

form#contactForm .any {
  background-color: #333;
  display: inline-block;
  border-radius: 3px;
  padding: 3px 4px 2px 4px;
  color: #fff;
  font-size: 11px;
  margin-left: 5px;
  font-weight: bold;
}

#thankYouModal {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  text-align: center;
  padding-top: 20%;
  z-index: 1000;
}

#thankYouModal>div {
  background: white;
  display: inline-block;
  padding: 30px;
  border-radius: 8px;
}

form#contactForm label input[type="checkbox"] {
  vertical-align: bottom;
  /* 念のため */
}

form#contactForm label {
  display: flex;
  align-items: center;
}


form#contactForm .checkbox {
  cursor: pointer;
  display: inline-block;
  font-size: 0.75em;
  vertical-align: bottom;
}

/*==================================================
  モーダル（thankYouModal）
==================================================*/
#thankYouModal {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  text-align: center;
  padding-top: 20%;
}

#thankYouModal .window {
  background: white;
  display: inline-block;
  padding: 20px;
  border-radius: 8px;
}

#thankYouModal h3 {
  font-size: 16px;
  font-weight: bold;
}

#thankYouModal p {
  font-size: 14px;
  padding: 10px;
}

#thankYouModal button {
  padding: 10px 20px;
  font-size: 14px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

/*==================================================
  個人情報モーダル
==================================================*/
.modal-link {
  color: #007bff;
  text-decoration: none;
  font-size: 12px;
  cursor: pointer;
  text-decoration: underline;
}

.modal-link:hover {
  text-decoration: underline;
}

#modal {
  display: none;
  /* 初期状態で非表示 */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  /* 背景を少し暗く */
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.modal-content {
  background-color: #fff;
  padding: 25px;
  border-radius: 5px;
  width: 95%;
  max-width: 700px;
  text-align: left;
}

.close {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 48px;
  cursor: pointer;
  color: #fff;
}

.modal-content h2 {
  font-size: 18px;
  font-weight: bold;
}

.modal-content p {
  font-size: 14px;
  margin-top: 10px;
  margin-bottom: 25px;
}

.modal-content dl {
  width: 100%;
}

.modal-content dl dt {
  width: 100%;
  font-size: 14px;
  font-weight: bold;
  margin-top: 15px;
}

.modal-content dl dd {
  width: 100%;
  font-size: 13px;
  margin-top: 4px;
}

hr {
  margin-top: 30px;
  margin-bottom: 20px;
  border: none;
  border-top: 1px solid #ccc;
}

.modal-footer {
  text-align: center;
}

.close-btn {
  padding: 10px 20px;
  font-size: 14px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.close-btn:hover {
  background-color: #0056b3;
}